Page MenuHomePhabricator

Dashboard application layout should use i18n strings for all text
Closed, ResolvedPublic

Description

There are currently some hard-coded strings — "Home", "Login/ Sign Up", a few others — in the main application layout: https://github.com/WikiEducationFoundation/WikiEduDashboard/blob/master/app/views/layouts/application.html.erb

These should be replaced with i18n strings so that those elements can be internationalized.

Event Timeline

Ragesoss created this task.Oct 7 2015, 4:50 PM
Ragesoss raised the priority of this task from to Needs Triage.
Ragesoss updated the task description. (Show Details)
Ragesoss moved this task to Microtasks on the Education-Program-Dashboard board.
Ragesoss added a subscriber: Ragesoss.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 7 2015, 4:50 PM
awight set Security to None.
Kenua added a subscriber: Kenua.Oct 13 2015, 1:34 PM
Restricted Application added a subscriber: Base. · View Herald TranscriptOct 13 2015, 1:34 PM
Tmalhotra added a comment.EditedOct 19 2015, 4:08 PM

Hi @Ragesoss I wanted to apply for the Outreachy program. This particular project looks interesting to me. Can I start working on this Microtask if its not been taken yet?

Hi @Ragesoss I wanted to apply for the Outreachy program. This particular project looks interesting to me. Can I start working on this Microtask if its not been taken yet?

You can. You need to follow https://www.mediawiki.org/wiki/Gerrit/Tutorial and get your patch to gerrit :) Solve as many microtasks you can to assure your place ( while making a strong proposal too ). See https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project

@Tmalhotra: In this case, you'll need to get your patch in as a pull request on GitHub rather than on gerrit. Someone else is also working on this particular microtask, but there are very many similar tasks to do in this project. I'll chat with you on IRC.

ZeWaPr added a subscriber: ZeWaPr.Feb 29 2016, 2:06 AM

Hi, I want to help out with this project and apply for Outreachy Round-12. Is this microtask still a good place to start? Is it taken already?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptFeb 29 2016, 2:06 AM
Elitre added a subscriber: Elitre.Mar 17 2016, 5:11 PM

@ZeWaPr: I am very sorry for not replying earlier to you. @Ragesoss should be able to answer your question.
For general info, please see https://www.mediawiki.org/wiki/Outreachy/Round_12, and for potential tasks to start contributing see https://www.mediawiki.org/wiki/Annoying_little_bugs - Thanks a lot!

Ragesoss closed this task as Resolved.Mar 23 2016, 3:09 PM
Ragesoss claimed this task.

@ZeWaPr Hi! Sorry not to have responded when you asked. This particular task is out of date (I'll close it now) but the basic principle of replacing hardcoded strings with i18n functions is still an area where you could do some microtasks.

Alternatively, I've started tagging easy bugs for this project on github; that may be the best place to browse, if you're still interested: https://github.com/WikiEducationFoundation/WikiEduDashboard/issues?q=is%3Aissue+is%3Aopen+label%3Aeasy